%define lib_major 9
%define lib_name %mklibname %{name} %{lib_major}
%define develname %mklibname -d %name

%if %mdkversion < 200610
%define py_platsitedir %_libdir/python%pyver/site-packages/
%endif

Name: vte
Version: 0.20.1
%define subrel 1
Release: %mkrel 1
Summary: An terminal emulator widget
License: LGPLv2+
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: vte-0.20.1-CVE-2010-2713.diff
BuildRequires: gtk+2-devel
BuildRequires: libxft-devel
BuildRequires: libmesaglu-devel
BuildRequires: ncurses-devel
BuildRequires: automake1.7
BuildRequires: gtk-doc
BuildRequires: python-devel
BuildRequires: pygtk2.0-devel
BuildRequires: intltool
URL: http://www.gnome.org/

%description
VTE is a terminal emulator widget for use with GTK+ 2.0.


%package -n python-%{name}
Summary: Python binding for VTE
Group: Development/Python
Requires: %{name} >= %{version}

%description -n  python-%{name}
Python binding for VTE, a terminal emulator widget for use 
with GTK+ 2.0.


%package -n %{lib_name}
Summary: A terminal emulator widget
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{lib_name}
VTE is a terminal emulator widget for use with GTK+ 2.0. 

%package -n %develname
Summary: Files needed for developing applications which use VTE
Group: Development/C
Provides:  lib%{name}-devel = %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Requires:  %{lib_name} = %{version}
Requires: gtk+2-devel
Requires: ncurses-devel
Obsoletes: %mklibname -d %name 9

%description -n %develname
VTE is a terminal emulator widget for use with GTK+ 2.0.  This
package contains the files needed for building applications using VTE.

%prep
%setup -q
%patch0 -p0 -b .CVE-2010-2713

%build

%configure2_5x --enable-shared --enable-static --libexecdir=%{_libdir}/%{name} --enable-python --enable-gtk-doc

%make 

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

find $RPM_BUILD_ROOT/%py_platsitedir -name '*.a' | xargs rm -f
find $RPM_BUILD_ROOT/%py_platsitedir -name '*.la' | xargs rm -f
%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{lib_name}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{lib_name}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%attr(2711,root,utmp) %{_libdir}/%{name}/gnome-pty-helper
%{_datadir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*

%files -n %develname
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_datadir/pygtk/2.0/defs/vte.defs

%files -n python-%{name}
%defattr(-,root,root)
%py_platsitedir/gtk-2.0/vtemodule.so


%changelog
* Tue Aug 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.1-1.1mdv2009.1
- P0: security fix for CVE-2010-2713 (ubuntu)

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.20.1-1mdv2009.1
+ Revision: 366954
- update to new version 0.20.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 0.20.0-1mdv2009.1
+ Revision: 355385
- update to new version 0.20.0

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 0.19.4-2mdv2009.1
+ Revision: 319689
- rebuild for new python

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 0.19.4-1mdv2009.1
+ Revision: 315797
- new version
- update file list

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 0.19.3-1mdv2009.1
+ Revision: 310823
- update to new version 0.19.3

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 0.19.2-1mdv2009.1
+ Revision: 310722
- update to new version 0.19.2

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-1mdv2009.1
+ Revision: 309058
- new version
- drop patch

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.17.4-1mdv2009.0
+ Revision: 287332
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 0.17.3-1mdv2009.0
+ Revision: 282821
- new version

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.17.2-1mdv2009.0
+ Revision: 271716
- new version

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 0.17.1-1mdv2009.0
+ Revision: 263819
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jun 06 2008 Götz Waschk <waschk@mandriva.org> 0.16.14-1mdv2009.0
+ Revision: 216440
- fix buildrequires
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.16.13-1mdv2008.1
+ Revision: 183825
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 0.16.12-1mdv2008.1
+ Revision: 146373
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 0.16.11-1mdv2008.1
+ Revision: 131084
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 0.16.10-1mdv2008.1
+ Revision: 115228
- new version

* Wed Sep 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.16.9-2mdv2008.0
+ Revision: 90787
- Rebuilt.

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 0.16.9-1mdv2008.0
+ Revision: 89465
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.16.8-1mdv2008.0
+ Revision: 56584
- new version
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.16.6-1mdv2008.0
+ Revision: 41258
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.16.5-1mdv2008.0
+ Revision: 35194
- new version
- drop patch 3

* Wed May 30 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.4-2mdv2008.0
+ Revision: 32845
- Remove patch0 (no longer needed)
- Patch3 (SVN): fix underline bug

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.16.4-1mdv2008.0
+ Revision: 32372
- new version

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 0.16.3-1mdv2008.0
+ Revision: 18509
- new version
- drop merged patch 10

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 0.16.2-1mdv2008.0
+ Revision: 17772
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2008.0
+ Revision: 14126
- new version
- drop merged patches 1,3,4,5,6,7,8,9,11,12


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-9mdv2007.1
+ Revision: 149099
- Patch12 (SVN): fix root location when embedding widget (GNOME bug #422385)
- Patch11: fix glyph truncated near cursor (GNOME bug #420935)

* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-7mdv2007.1
+ Revision: 146660
- Patch8: fix workspace refresh (GNOME bug #419116)
- Patch9: fix expose events not processed when receiving unseen incoming data (GNOME #420067)
- Patch10: fix vte becomeing unresponsive after workspace switch (GNOME bug #414716)

* Sun Mar 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-6mdv2007.1
+ Revision: 145775
- Patch5 (SVN): fix rendering glitch for autowrapped chars (GNOME bug #416634)
- Patch6 (SVN): fix mouse scrolling (GNOME bug #418910)
- Patch7 (SVN): detect dpi change (GNOME bug #417301)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-5mdv2007.1
+ Revision: 144305
- Patch4: prevent invalid read (and crash) with preedit cursor (GNOME bug #418588)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-4mdv2007.1
+ Revision: 144296
- Update patch 1 to new upstream version, fix regression
- Disable double expose patch, it prevents correct refresh

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.16.0-2mdv2007.1
+ Revision: 144163
- Patch0: fix scrolling bug with nvi (GNOME bug #417652)
- Patch1: fix double expose (GNOME bug #416635)
- Patch2: add reaper python binding (GNOME bug #320127)
- Patch3: fix transparency (GNOME #418073, Mdv bug #29510)

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 0.16.0-1mdv2007.1
+ Revision: 142141
- new version
- drop patch

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.6-2mdv2007.1
+ Revision: 133511
- Patch0 (SVN): fix dead terminal (GNOME bug #414716)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 0.15.6-1mdv2007.1
+ Revision: 130589
- new version
- drop patches

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.5-2mdv2007.1
+ Revision: 130335
-Patch1 (SVN): fix crash with drakconsole (Mdv bug #29010)

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.15.5-1mdv2007.1
+ Revision: 126688
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.15.4-1mdv2007.1
+ Revision: 126161
- new version
- drop patches 1,2

* Mon Feb 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.3-3mdv2007.1
+ Revision: 122850
- Patch2 (SVN): fix crash when opening tag (speciale dedicade for rtp)

* Mon Feb 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.15.3-2mdv2007.1
+ Revision: 122791
- Patch1 (SVN): fix scrolling under screen (special dedicace to saispo :)

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 0.15.3-1mdv2007.1
+ Revision: 120278
- new version
- fix build

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 0.15.2-1mdv2007.1
+ Revision: 112237
- new version
- drop patch 1

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-2mdv2007.1
+ Revision: 106889
- Fix #28068: SegFault on x86_64

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 0.15.1-1mdv2007.1
+ Revision: 106347
- new version
- reenable gtk-doc

* Wed Dec 06 2006 Götz Waschk <waschk@mandriva.org> 0.15.0-1mdv2007.1
+ Revision: 91593
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.14.1-3mdv2007.1
+ Revision: 63798
- rebuild
- unpack patch
- fix patch name
- Import vte

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 0.14.1-1mdv2007.0
- drop patch 1
- New version 0.14.1

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.14.0-3mdv2007.0
- Rebuild

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.0-2mdv2007.0
- Patch1 (CVS): don't output warning when control sequence are not handled (CVS)

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 0.14.0-1mdv2007.0
- New version 0.14.0

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 0.13.7-1mdv2007.0
- New release 0.13.7

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.6-1mdv2007.0
- Release 0.13.6

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.13.5-1mdv2007.0
- New release 0.13.5

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.13.4-1
- New release 0.13.4

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 0.13.3-1
- New release 0.13.3

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 0.13.2-1
- New release 0.13.2

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 0.13.1-2mdv2007.0
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13.1-1mdv2007.0
- Release 0.13.1

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 0.12.2-1mdv2007.0
- fix buildrequires
- New release 0.12.2

* Wed May 03 2006 Gtz Waschk <waschk@mandriva.org> 0.12.1-2mdk
- fix buildrequires

* Fri Apr 28 2006 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdk
- New release 0.12.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdk
- New release 0.12.0

* Thu Mar 09 2006 Gtz Waschk <waschk@mandriva.org> 0.11.21-1mdk
- drop patch 1
- New release 0.11.21

* Wed Mar 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.20-2mdk
- Patch1 (CVS): fix bad latency (GNOME bug #333776)

* Sun Feb 26 2006 Götz Waschk <waschk@mandriva.org> 0.11.20-1mdk
- New release 0.11.20

* Sat Feb 25 2006 Gtz Waschk <waschk@mandriva.org> 0.11.19-2mdk
- update description (Adam)

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 0.11.19-1mdk
- New release 0.11.19

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.18-1mdk
- Fix compilation with old distro

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.11.18-1mdk
- New release 0.11.18

* Wed Feb 01 2006 Gtz Waschk <waschk@mandriva.org> 0.11.17-3mdk
- another dir fix for x86_64

* Tue Jan 31 2006 Gtz Waschk <waschk@mandriva.org> 0.11.17-2mdk
- fix python module file listing

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.11.17-1mdk
- drop patch 1
- New release 0.11.17

* Wed Jan 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11.16-3mdk
- Add missing buildrequires

* Mon Jan 09 2006 Gtz Waschk <waschk@mandriva.org> 0.11.16-2mdk
- fix pkgconfig file

* Tue Dec 13 2005 Gtz Waschk <waschk@mandriva.org> 0.11.16-1mdk
- drop patch 1
- New release 0.11.16

* Thu Dec 01 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.15-4mdk
- Patch1 (CVS): fix a11y slowness

* Thu Dec 01 2005 Michael Scherer <misc@mandriva.org> 0.11.15-3mdk
- mkrel
- enable python binding in a subpackage

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 0.11.15-2mdk
- rebuild to remove glitz dep

* Wed Aug 24 2005 Gtz Waschk <waschk@mandriva.org> 0.11.15-1mdk
- drop patch 1
- New release 0.11.15

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.14-2mdk 
- Patch1 (CVS): clean utmp if closing abrutly (GNOME bug #312373)

* Thu Aug 04 2005 Götz Waschk <waschk@mandriva.org> 0.11.14-1mdk
- New release 0.11.14

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 0.11.13-1mdk 
- Release 0.11.13

* Thu Mar 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.12-2mdk 
- Use official tarball this time, fix Mdk bug #12990

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.12-1mdk 
- Release 0.11.12
- Remove patches 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 (merged upstream)

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.11-4mdk 
- Patch4 (Fedora): stick bottom row to bottom of terminal when resizing
- Patch5 (Fedora): fix crash in input methods (RH bug #131226)
- Patch6 (Fedora): add "scroll-up/down" control sequence for better xterm compatibily
- Patch7 (Fedora): improve background redraw
- Patch8 (Fedora): fix keypad keys when numlock is on in app mode
- Patch9 (Fedora): fix terminal corruption with UTF8
- Patch10 (Fedora): fix terminal corruption with hilight mouse mode

* Thu Sep 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.11-3mdk
- fix buildrequires

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.11-2mdk
- Enable libtoolize
- Patch1 (Soren): performance improvements (GNOME bug #143914)
- Patches 2&3 (Benjamin): performance improvements (GNOME bug #137864)

* Fri May 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11.11-1mdk
- drop patches 1,2,3,4 (merged)
- New release 0.11.11

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.10-6mdk
- Patch4 (CVS): fix slowness when using transparent background

